# Security Policy

## Supported Versions

The following versions of `gsp-py` are actively supported with security updates and maintenance:

| Version       | Supported          |
|---------------|--------------------|
| 2.x.x         | ✅                |
| < 2.0.0       | ❌                |

We strongly recommend upgrading to the latest version of `gsp-py` to ensure the most secure and stable experience.

---

## Reporting Security Issues

`gsp-py` is maintained by [Jackson Antonio do Prado Lima](https://github.com/jacksonpradolima), who takes security seriously. We encourage you to promptly report any security vulnerabilities to ensure the library remains secure for all users.

To report a security issue, please contact the `gsp-py` maintainer at **[jacksonpradolima@gmail.com](mailto:jacksonpradolima@gmail.com)**.

---

## Responsible Disclosure

We greatly appreciate the efforts of security researchers and individuals who responsibly disclose vulnerabilities to our team. If you believe you have found a security vulnerability, we kindly request you follow responsible disclosure practices:

1. **Report privately**: Please contact us directly and avoid publicly disclosing the issue.
2. **Provide sufficient details**: Include the version of `gsp-py`, a description of the vulnerability, and any applicable steps to reproduce the issue.
3. **Allow time to address the issue**: Grant us a reasonable amount of time to investigate and release a fix before public disclosure.

This helps ensure that vulnerabilities are resolved without unnecessary risk to users of the library.

---

## Reporting Non-Library Security Issues

If you discover a security issue that is unrelated to `gsp-py` but pertains to external services or products (for example, dependency vulnerabilities), please report these issues directly to the respective organization responsible.

---

## Acknowledgment

Thank you for helping us maintain the security and reliability of `gsp-py`. Your effort ensures the safety of the library and the systems they interact with.
